/*****************************************************************************
 *
 * SRETENTION.H - Header for state retention routines
 *
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************/

#include "common.h"
NAGIOS_BEGIN_DECL

int initialize_retention_data(const char *);
int cleanup_retention_data(void);
int save_state_information(int);                 /* saves all host and state information */
int read_initial_state_information(void);        /* reads in initial host and state information */
int pre_modify_contact_attribute(struct contact *s, int attr);
int pre_modify_service_attribute(struct service *s, int attr);
int pre_modify_host_attribute(struct host *h, int attr);
struct contact *get_premod_contact(unsigned int id);
struct host *get_premod_host(unsigned int id);
struct service *get_premod_service(unsigned int id);
void deinit_retention_data(void);
NAGIOS_END_DECL
